test harness: Include $PREBUFFER and $BUFFER in the output.

For human readers' benefit.
This commit is contained in:
Daniel Shahaf 2020-02-22 14:33:39 +00:00
parent 92c3d04f88
commit de67fd31e6

View File

@ -118,6 +118,8 @@ run_test_internal() {
builtin cd -q -- "$tests_tempdir" || { echo >&2 "Bail out! On ${(qq)1}: cd failed: $?"; return 1 } builtin cd -q -- "$tests_tempdir" || { echo >&2 "Bail out! On ${(qq)1}: cd failed: $?"; return 1 }
echo "# ${1:t:r}" echo "# ${1:t:r}"
[[ -n $PREBUFFER ]] && printf '# %s\n' "$(typeset_p PREBUFFER)"
[[ -n $BUFFER ]] && printf '# %s\n' "$(typeset_p BUFFER)"
# Load the data and prepare checking it. # Load the data and prepare checking it.
local BUFFER CURSOR MARK PENDING PREBUFFER REGION_ACTIVE WIDGET REPLY skip_test unsorted=0 local BUFFER CURSOR MARK PENDING PREBUFFER REGION_ACTIVE WIDGET REPLY skip_test unsorted=0